#include<iostream>
#include<string>
#include<vector>

using namespace std;

int main(){
    //za 10 poena
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    string T,S;
    string T1,S1;
    int br1=0;
    getline(cin,T);
    getline(cin,S);
    if(S.size()==1){
        for(int i=0;i<T.size();i++){
            if(T[i]==S[0]){
                br1++;
                T[i]='*';
            }
        }
        cout<<br1<<endl;
        cout<<T;
    }
    return 0;
}